using System;
using System.Windows;
using System.Windows.Controls;

namespace GroupColumnHeaders_WPF
{
	/// <summary>
	/// Interaction logic for CommonHeader.xaml
	/// </summary>
	public partial class CommonHeader : UserControl
	{
		public CommonHeader()
		{
			InitializeComponent();

			InitializeComponent();
			this.DataContext = this;
		}

		public int StartColumnIndex { get; set; }
		public int ColumnSpan { get; set; }

		public static readonly DependencyProperty CaptionProperty =
			DependencyProperty.Register("Caption", typeof(string), typeof(CommonHeader), new PropertyMetadata(String.Empty));
		 
		public string Caption
		{
			get
			{
				return (string)this.GetValue(CaptionProperty);
			}
			set
			{
				this.SetValue(CaptionProperty, value);
			}
		}



	}
}
